----------------------------
-- Phoenix Script
-- by Robo
--
-- Based on TS code cause I'm too tired to think of a way to do this without the stupid onThink
----------------------------

/*
function regenThink( v )

	-- Sprint regen
	if( CurTime() - v:GetNWInt("lastjump") > 3 ) then
	
		if( v:GetNWFloat("sprint") < 100 ) then
		
			v:SetNWFloat("sprint", math.Clamp( v:GetNWFloat("sprint") + .05, 0, 100 ) );
		
		end
	
	end
	
	-- Health regen
	if( CurTime() - v:GetNWInt("lasthurt") > 3 ) then
	
		if( v:Health() < 100 ) then
		
			v:SetHealth( v:Health()+ 1 );
			v:SetNWInt("lasthurt", CurTime() - 1 );
		
		end
	
	end

end
*/

function GM:Think()

	--for k, v in pairs( player.GetAll() ) do
	
		--if( v:GetNWInt("charactercreate") == 0 ) then
		
			--regenThink( v );
		
		--end
	
	--end

end
